CREATE TABLE `blade_recharge_record` (
                                         `id` bigint(255) NOT NULL COMMENT 'id',
                                         `order_no` varchar(255) DEFAULT NULL COMMENT '订单ID',
                                         `payment_type` int(255) DEFAULT NULL COMMENT '付款方式',
                                         `payment_price` decimal(10,2) DEFAULT '0.00' COMMENT '充值金额',
                                         `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                         `create_user_id` bigint(255) DEFAULT NULL COMMENT '创建人',
                                         `is_delete` int(255) DEFAULT NULL COMMENT 'is_delete;0为未删除，1为已删除',
                                         `update_user_id` bigint(255) DEFAULT NULL COMMENT '更新人',
                                         `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                         `status` int(8) DEFAULT NULL COMMENT '状态：0付款中，1已付款，2付款失败',
                                         PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='充值记录表';
