package org.springblade.modules.api.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
public class WithdrawParam {
	@ApiModelProperty(value = "金额")
	@NotNull
	private BigDecimal amount=new BigDecimal(0);

	@ApiModelProperty(value = "接收人账户")
	private String receiverAccount;

	@ApiModelProperty(value = "接收人账户类型:默认0 支付宝 ")
	private Integer receiverType=0;

	@ApiModelProperty(value = "支付密码")
	private String payPassword;

	@ApiModelProperty(value = "备注")
	private String remarks;

}
