package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Author pangqijun
 * Date 2022/8/1
 * Description 添加购物车实体
 */
@Data
public class AddCartRequest {
	/** 商品id */
	@ApiModelProperty(value = "商品id")
	private String goodsInfoId;

	/** 规格id */
	@ApiModelProperty(value = "规格id")
	private String goodsSpecId;

	/** 商品数量 */
	@ApiModelProperty(value = "商品数量")
	private Integer goodsNum;
}
