package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * Author pangqijun
 * Date 2022/8/6
 * Description
 */
@Data
public class SubmitOrderRequest {
	@NotNull(message = "请选择收货地址")
	@ApiModelProperty(value = "用户收货地址id")
	private Long userAddressId;

	@NotEmpty(message = "商品信息不能为空")
	@ApiModelProperty(value = "商品信息")
	private List<OrderGoodsSaveRequest> goodsList;
}
