package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.modules.shopping.entity.Consign;

import java.io.Serializable;
import java.util.List;

/**
 * 地址请求实体
 *
 * @author xuwei
 */
@Data
@ApiModel(value = "确认打款清单", description = "请求实体类")
public class SystemUserPayRequest implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty("寄售单id列表")
	private List<Long> orderConsignIds;

	@ApiModelProperty("打款用户id")
	private Long paymentUserId;
}
