package org.springblade.modules.api.service;

import org.springblade.modules.api.request.OrderGoodsSaveRequest;
import org.springblade.modules.api.request.ReOrderSaveRequest;
import org.springblade.modules.api.request.SubmitOrderRequest;
import org.springblade.modules.api.response.SubmitOrderResponse;
import org.springblade.modules.api.vo.FullReductionDetailVO;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface IReOrderService {
	/**
	 * 提交订单
	 */
	SubmitOrderResponse submitOrder(ReOrderSaveRequest request, String tenantId);

	SubmitOrderResponse cartSubmitOrder(SubmitOrderRequest request, String tenantId);

	FullReductionDetailVO fullReductionDetail(SubmitOrderRequest request);
}
