package org.springblade.modules.courier.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;


@Data
public class CourierNumberParamList implements Serializable {

	@ApiModelProperty(value = "快递单号录入参数")
	@NotEmpty(message = "参数不能为空！")
	@Valid
	private List<CourierNumberParam> list;

}
