package org.springblade.modules.courier.service.impl;

import com.alipay.service.schema.util.StringUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.common.utils.StringUtils;
import org.springblade.core.mp.support.Condition;
import org.springblade.core.mp.support.Query;
import org.springblade.modules.courier.entity.Delivery;
import org.springblade.modules.courier.mapper.DeliveryMapper;
import org.springblade.modules.courier.service.DeliveryService;
import org.springframework.stereotype.Service;


@Service
public class DeliveryServiceImpl extends ServiceImpl<DeliveryMapper, Delivery> implements DeliveryService {
	@Override
	public IPage<Delivery> pageDelivery(String key, Query query) {

		LambdaQueryWrapper<Delivery> queryWrapper = new LambdaQueryWrapper<>();
		queryWrapper.like(!StringUtil.isEmpty(key),Delivery::getName,key);
		return this.page(Condition.getPage(query), queryWrapper);
	}
}
