
package org.springblade.modules.linked.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.modules.linked.entity.LinkedBindLog;
import org.springblade.modules.linked.vo.LinkedBindLogVO;

import java.util.List;


/**
 * 绑定记录表 Mapper 接口
 *
 * @author BladeX
 * @since 2022-11-07
 */
public interface LinkedBindLogMapper extends BaseMapper<LinkedBindLog> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param bindLog
	 * @return
	 */
	List<LinkedBindLogVO> selectBindLogPage(IPage page, LinkedBindLogVO bindLog);


}
