package org.springblade.modules.linked.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.linked.entity.LinkedBindLog;
import org.springblade.modules.linked.entity.LinkedContributeLog;
import org.springblade.modules.linked.entity.LinkedUserInfo;

import java.util.List;


public interface ILinkedContributeLogService extends IService<LinkedContributeLog> {
	/**
	 *  创建贡献记录
	 * @param puser 贡献人
	 * @param ppuser 接收人
	 * @param LinkedUsers 被贡献的人
	 * @param changeLog 相对应得绑定变更记录
	 */
	void creatContributeLog(LinkedUserInfo puser,
							LinkedUserInfo ppuser,
							List<LinkedUserInfo> LinkedUsers,
							List<LinkedBindLog> changeLog,String remark);
}
