package org.springblade.modules.linked.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.modules.linked.entity.LinkedBindLog;
import org.springblade.modules.linked.entity.LinkedUserInfo;
import org.springblade.modules.linked.service.ILinkedContributeLogService;
import org.springblade.modules.linked.entity.LinkedContributeLog;
import org.springblade.modules.linked.mapper.LinkedContributeLogMapper;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;


@Service
public class LinkedContributeLogServiceImpl extends ServiceImpl<LinkedContributeLogMapper, LinkedContributeLog> implements ILinkedContributeLogService {


	@Override
	public void creatContributeLog(LinkedUserInfo puser,LinkedUserInfo ppuser, List<LinkedUserInfo> LinkedUsers,List<LinkedBindLog> changeLog,String remark) {
		List<LinkedContributeLog> list = new ArrayList<>();
		Date date = new Date();
		for (LinkedUserInfo linkedUser : LinkedUsers) {
			LinkedContributeLog log = new LinkedContributeLog();
			log.setUserId(puser.getUserId());
			log.setUserName(puser.getUserName());
			log.setJieUserId(ppuser.getUserId());
			log.setJieUserName(ppuser.getUserName());
			log.setBeiUserId(linkedUser.getUserId());
			log.setBeiUserName(linkedUser.getUserName());
			log.setType(1);
			for (LinkedBindLog linkedBindLog : changeLog) {
				if (linkedBindLog.getUserId().equals(linkedUser.getUserId())){
					log.setLinkedBindId(linkedBindLog.getId());
				}
			}
			log.setCreateUserId(ppuser.getUserId());
			log.setUpdateUserId(ppuser.getUserId());
			log.setCreateTime(date);
			log.setUpdateTime(date);
			log.setIsDelete(0);
			list.add(log);
			log.setRemark(remark);
		}
		this.saveBatch(list);
	}
}
