package org.springblade.modules.redenvelopemall.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.redenvelopemall.vo.CostBreakdownVO;
import org.springblade.modules.redenvelopemall.vo.GrossProfitVO;
import org.springblade.modules.redenvelopemall.vo.SalesVO;

import java.util.Date;
import java.util.List;


public interface FinanceMapper {
	IPage<SalesVO> salesOfTheDay(IPage page, @Param("source") String source, @Param("zoneType") Integer zoneType, @Param("startTime") Date startTime, @Param("endTime") Date endTime);

	IPage<CostBreakdownVO> costBreakdown(IPage page, @Param("source") String source, @Param("goodsName") String goodsName,
										 @Param("startTime") Date startTime, @Param("endTime") Date endTime);

	IPage<CostBreakdownVO> costBreakdownStatistics(IPage page, @Param("source") String source);

	IPage<SalesVO> salesOfTheDayStatistics(IPage page, @Param("source") String source, @Param("startTime") Date startTime, @Param("endTime") Date endTime);

	List<GrossProfitVO> selectPaidInAmount();

	CostBreakdownVO selectCostBreakdown(@Param("source") String source);
}
