package org.springblade.modules.redenvelopemall.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.support.Query;
import org.springblade.modules.redenvelopemall.vo.CostBreakdownVO;
import org.springblade.modules.redenvelopemall.vo.GrossProfitVO;
import org.springblade.modules.redenvelopemall.vo.SalesVO;

import java.util.Date;
import java.util.List;

public interface IFinanceService {
	IPage<SalesVO> salesOfTheDay(String source,Integer zoneType, Date startTime, Date endTime, Query query);


	IPage<CostBreakdownVO> costBreakdown(String source, String goodsName, Date startTime, Date endTime, Query query);

	IPage<CostBreakdownVO> costBreakdownStatistics(String source, Query query);

	IPage<SalesVO> salesOfTheDayStatistics(String source, Date startTime, Date endTime, Query query);

	List<GrossProfitVO> grossProfitStatistics();
}
