package org.springblade.modules.redenvelopemall.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.common.base.BaseEntity;
import org.springblade.core.mp.support.Condition;
import org.springblade.core.mp.support.Query;
import org.springblade.modules.redenvelopemall.entity.RedSetting;
import org.springblade.modules.redenvelopemall.mapper.RedSettingMapper;
import org.springblade.modules.redenvelopemall.service.IRedSettingService;
import org.springframework.stereotype.Service;

@Service
public class RedSettingServiceImpl extends ServiceImpl<RedSettingMapper, RedSetting> implements IRedSettingService {
	@Override
	public RedSetting getFirst() {
		LambdaQueryWrapper<RedSetting> wrapper = new LambdaQueryWrapper<>();
		wrapper.orderByDesc(BaseEntity::getCreateTime);
		IPage<RedSetting> page = this.baseMapper.selectPage(Condition.getPage(new Query()), wrapper);
		RedSetting redSetting = new RedSetting();
		if (CollectionUtil.isNotEmpty(page.getRecords())) {
			redSetting = page.getRecords().get(0);
		}
		return redSetting;
	}
}
