ALTER TABLE `blade_withdrawal_record`
    ADD COLUMN `is_accelerate` int(16) NULL COMMENT '是否加速' AFTER `audit_user_name`;
ALTER TABLE `blade_user_app`
ADD COLUMN `acc_balance` decimal(12, 2) NULL DEFAULT 0.00 COMMENT '加速额度' AFTER `is_role`;

CREATE TABLE `blade_withdrawal_accelerate_record` (
                                                      `id` bigint(20) NOT NULL,
                                                      `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                                      `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建人',
                                                      `is_delete` int(11) DEFAULT '0' COMMENT '删除表示',
                                                      `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                                      `update_user_id` bigint(20) DEFAULT NULL COMMENT '更新人',
                                                      `accelerate_user_id` bigint(20) DEFAULT NULL COMMENT '加速人id',
                                                      `benefit_user_id` bigint(20) DEFAULT NULL COMMENT '收益人id',
                                                      `amount` decimal(19,2) DEFAULT NULL COMMENT '变动金额',
                                                      `ratio` decimal(19,2) DEFAULT NULL COMMENT '加速比例',
                                                      `accelerate_user_name` varchar(255) DEFAULT NULL COMMENT '加速人名称',
                                                      `before_amout` decimal(19,2) DEFAULT NULL COMMENT '操作前金额',
                                                      `after_amout` decimal(19,2) DEFAULT NULL COMMENT '操作后金额',
                                                      `accelerate_amount` decimal(19,2) DEFAULT NULL COMMENT '加速金额',
                                                      `is_use` int(11) DEFAULT '0' COMMENT '是否使用',
                                                      `use_time` datetime DEFAULT NULL COMMENT '使用时间',
                                                      `data_id` bigint(20) DEFAULT NULL COMMENT '来源记录ID',
                                                      `src` int(11) DEFAULT NULL COMMENT '加速来源：0、充值，1、预授权购买',
                                                      `remark` varchar(255) DEFAULT NULL COMMENT '描述',
                                                      `type` int(11) DEFAULT '0' COMMENT '加速类型：0为加速，1为消耗',
                                                      PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='余额加速提现';
