package org.springblade.modules.api.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@ApiModel(value = "阿里用户对象", description = "实体类")
public class AliUserInfoResponse {
	@ApiModelProperty(value = "支付宝用户的userId。")
	private String userId;
	@ApiModelProperty(value = "用户头像地址。")
	private String avatar;
	@ApiModelProperty(value = "省份名称。")
	private String province;
	@ApiModelProperty(value = "市名称。")
	private String city;
	@ApiModelProperty(value = "用户昵称。")
	private String nickName;
	@ApiModelProperty(value = "性别。F：女性； M：男性。")
	private String gender;

}
