package org.springblade.modules.api.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.modules.shopping.vo.ConsignListVO;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
public class StatisticsConsignVO implements Serializable {

	@ApiModelProperty(value = "当前需付款数")
	private BigDecimal allCount = new BigDecimal(0);

	@ApiModelProperty(value = "进货金额")
	private BigDecimal obtainAmount = new BigDecimal(0);

	@ApiModelProperty(value = "税收金额")
	private BigDecimal revenueAmount = new BigDecimal(0);

	@ApiModelProperty(value = "应付金额")
	private BigDecimal copeAmount = new BigDecimal(0);

	@ApiModelProperty(value = "千分之六的手续费")
	private BigDecimal sixOverThousand = new BigDecimal(0);



}
