package org.springblade.modules.courier.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@Data
@TableName("t_delivery")
@ApiModel(value = "快递单号", description = "快递单号记录表")
public class Delivery implements Serializable {


	@ApiModelProperty(value = "id")
	private  Long id;

	@ApiModelProperty(value = "快递公司名称")
	private String	name;

	@ApiModelProperty(value = "快递公司编码")
	private String code;

	@ApiModelProperty(value = "快递公司类型")
	private String	type;



}
