package org.springblade.modules.courier.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.core.mp.support.Query;
import org.springblade.core.secure.BladeUser;
import org.springblade.modules.courier.entity.CourierData;
import org.springblade.modules.courier.entity.CourierNumber;
import org.springblade.modules.courier.entity.Delivery;
import org.springblade.modules.courier.param.CourierNumberParam;
import org.springblade.modules.shopping.entity.CatBrands;

import java.util.List;

public interface CourierNumberService extends IService<CourierNumber> {


	String insertCourierNumber(List<CourierNumberParam> key, BladeUser user);

	List<CourierData> selectCourierData(String orderId) throws Exception;

	IPage<Delivery> pageDelivery(String key, Query query);

	CourierNumber getByOrderNo(String orderNo);
}
