package org.springblade.modules.finance.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.modules.finance.vo.OrderVO;

import java.util.Date;
import java.util.List;

/**
 * Author pangqijun
 * Date 2022/6/27
 * Description
 */
@Data
public class GoodsOrderExportDTO {
	@JsonFormat(pattern = "yyyyMMdd hh:mm:ss")
	@ApiModelProperty(value = "订单开始时间")
	private Date orderStartTime;

	@JsonFormat(pattern = "yyyyMMdd hh:mm:ss")
	@ApiModelProperty(value = "订单结束时间")
	private Date orderEndTime;

	@ApiModelProperty(value = "订单集合")
	private List<OrderVO> orderList;
}
