package org.springblade.modules.linked.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.modules.linked.entity.LinkedUserInfo;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class LinkedStatisticsVO implements Serializable {

	@ApiModelProperty(value = "累计收益")
	private BigDecimal earningsCount = new BigDecimal(0);

	@ApiModelProperty(value = "一级人数")
	private Integer oneCount = 0;

	@ApiModelProperty(value = "二级人数")
	private Integer twoCount = 0;

	@ApiModelProperty(value = "当前位置")
	private Integer sort = 0;

	@ApiModelProperty(value = "出局位置")
	private Integer outSort = 0;

	@ApiModelProperty(value = "推广码")
	private String promotionNo ;

	@ApiModelProperty(value = "当前收益")
	private BigDecimal nowEarnings = new BigDecimal(0);

	@ApiModelProperty(value = "今日收益")
	private BigDecimal todayEarnings = new BigDecimal(0);

	@ApiModelProperty(value = "累计购买人数")
	private Integer countLinkedUser;

	@ApiModelProperty(value = "今日新增人数")
	private Integer countTodayLinkedUser;

	@ApiModelProperty(value = "分享连接")
	private String sheraUrl;
	/**
	 * 是否合伙人
	 */
	@ApiModelProperty(value = "是否合伙人")
	private Integer isPartner;

	@ApiModelProperty(value = "描述")
	private String partnerStr ;

	@ApiModelProperty(value = "上级信息")
	private LinkedUserInfo linkedPaeentUser ;
}
