package org.springblade.modules.linked.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 *
 */
@Data
public class LinkedVerifyVO implements Serializable {

	@ApiModelProperty(value = "记录创建人的id")
	private Long userId;

	@ApiModelProperty(value = "用户姓名")
	private String realName;


 /****************1580查询红包领取数额与收益扣减不相等的人员********************/


	@ApiModelProperty(value = "受益人id")
	private Long benefitUserId;

	@ApiModelProperty(value = "红包领取金额")
	private BigDecimal grabAmount;

	@ApiModelProperty(value = "1580收益扣减金额")
	private BigDecimal amount;


	/************************查询余额和余额记录不对应的人员**************************************/

	@ApiModelProperty(value = "钱包余额")
	private BigDecimal nowMoney;

	@ApiModelProperty(value = "最后一条记录的余额")
	private BigDecimal afterMoney;

}
