package org.springblade.modules.redenvelopemall.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

import java.util.Date;

/**
 * Author pangqijun
 * Date 2022/10/27
 * Description
 */
@Data
@TableName("re_activities_goods")
@ApiModel(value = "ActivitiesGoods对象", description = "活动商品表")
public class ActivitiesGoods extends BaseEntity {
	/** 商品id */
	private Long goodsInfoId;
	/** 活动名称 */
	private String activityName;
	/** 活动日期 */
	private Date activityDate;
	/** 活动开始时间 */
	private Date startTime;
	/** 活动结束时间 */
	private Date endTime;
}
