package org.springblade.modules.redenvelopemall.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * Author pangqijun
 * Date 2022/7/16
 * Description
 */
@Data
public class WeiPinShangGoodsSku {
	@ApiModelProperty("父级id")
	private String c_father_goods_id;

	@ApiModelProperty("商品id")
	private String c_goods_id;

	@ApiModelProperty("商品名称")
	private String c_goods_name;

	@ApiModelProperty("商品描述")
	private String c_goods_description;

	@ApiModelProperty("商品市场价")
	private String c_original_price;

	@ApiModelProperty("商品进价")
	private BigDecimal c_in_price;

	@ApiModelProperty("建议零售价")
	private BigDecimal c_sale_price;

	@ApiModelProperty("商品颜色")
	private String c_goods_color;

	@ApiModelProperty("商品尺寸")
	private String c_goods_size;

	@ApiModelProperty("商品列表图片")
	private String c_goods_image;

	@ApiModelProperty("初始总库存")
	private String c_goods_stock_start;

	@ApiModelProperty("有效库存")
	private Integer c_goods_stock_valid;

	@ApiModelProperty("最小购买数量")
	private String c_buy_min_num;

	@ApiModelProperty("供应商编码")
	private String c_company_code;

	@ApiModelProperty("最大购买数量")
	private String c_buy_max_num;

	@ApiModelProperty("商品详细规格")
	private String c_specifications;
}
