package org.springblade.modules.redenvelopemall.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.platform.vo.IntegralInfoVO;
import org.springblade.modules.redenvelopemall.entity.RedEnvelopeReceiveLog;
import org.springblade.modules.redenvelopemall.param.RedEnvelopeReceiveLogParam;
import org.springblade.modules.redenvelopemall.vo.RedEnvelopeReceiveLogVo;

import java.util.Date;

public interface RedEnvelopeReceiveLogMapper extends BaseMapper<RedEnvelopeReceiveLog> {
    IPage<RedEnvelopeReceiveLogVo> pageByRedEnvelopeId(IPage page,@Param("redEnvelopeId") String redEnvelopeId,@Param("userName")String userName);

	IPage<RedEnvelopeReceiveLogVo> logPage(IPage page, @Param("p") RedEnvelopeReceiveLogParam param);

    IPage<RedEnvelopeReceiveLogVo> leaderboard(IPage page, @Param("startTime")Date startTime, @Param("endTime")Date endTime, @Param("type")Integer type);

	IntegralInfoVO info(@Param("userId") Long userId, @Param("date") String date, @Param("type") Integer type);

}
