package org.springblade.modules.redenvelopemall.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.redenvelopemall.entity.RedEnvelope;
import org.springblade.modules.redenvelopemall.entity.RedEnvelopeReceiveLog;

public interface IRedEnvelopeService extends IService<RedEnvelope> {
	/**
	 * 抢随机红包
	 * @return
	 */
	RedEnvelopeReceiveLog grab();

	/**
	 * 领专属红包
	 * @return
	 */
	RedEnvelopeReceiveLog grabBelong();

	/**
	 * 领联动收益红包
	 * @return
	 */
	RedEnvelopeReceiveLog grabLinked();
}
