package org.springblade.modules.shopping.param;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class ExpExcelConsignParam implements Serializable {

	@ApiModelProperty(value = "电话号码集合")
	@NotNull(message = "电话不能为空")
	private List<String> accounts;


	@ApiModelProperty(value = "开始时间")
	private Date createStartTime;


	@ApiModelProperty(value = "结束时间")
	private Date createEndTime;


}
