package org.springblade.modules.shopping.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class ExpExcelConsignVO  implements Serializable {

	@ApiModelProperty(value = "寄售id")
	@ExcelIgnore
	private String id;

	@ApiModelProperty(value = "用户姓名")
	@ExcelIgnore
	private String userId;

	@ApiModelProperty(value = "用户姓名")
	@ExcelProperty(value = "用户姓名")
	private String realName;


	@ApiModelProperty(value = "抢购时间")
	@ExcelProperty(value = "抢购时间")
	private Date createTime;


	@ApiModelProperty(value = "结束时间")
	@ExcelProperty(value = "结束时间")
	private Date endTime;


	@ApiModelProperty(value = "进货价格")
	@ExcelProperty(value = "进货价格")
	private BigDecimal obtainPrice;


	@ApiModelProperty(value = "寄售价格")
	@ExcelProperty(value = "寄售价格")
	private BigDecimal consignPrice;


	@ApiModelProperty(value = "利润")
	@ExcelProperty(value = "利润")
	private BigDecimal profit = new BigDecimal(0);


	@ApiModelProperty(value = "状态")
	@ExcelProperty(value = "状态")
	private String isPayment;




}
