package org.springblade.modules.system.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.modules.system.entity.PayLog;
import org.springblade.modules.system.mapper.PayLogMapper;
import org.springblade.modules.system.param.PayLogParam;
import org.springblade.modules.system.service.IPayLogService;
import org.springblade.modules.system.vo.PayLogVO;
import org.springframework.stereotype.Service;

@Service
public class PayLogServiceImpl extends ServiceImpl<PayLogMapper, PayLog> implements IPayLogService {
	@Override
	public IPage<PayLogVO> pageParams(IPage page, PayLogParam param) {
		return this.baseMapper.logPage(page,param);
	}
}
