package org.springblade.test;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springblade.core.secure.utils.AuthUtil;
import org.springblade.core.test.BladeBootTest;
import org.springblade.core.test.BladeSpringRunner;
import org.springblade.modules.platform.service.UserAppService;
import org.springblade.modules.redenvelopemall.entity.RedAccelerateRecord;
import org.springblade.modules.redenvelopemall.service.IRedAccelerateRecordService;
import org.springframework.beans.factory.annotation.Autowired;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Blade单元测试
 *
 * @author Chill
 */
@Slf4j
@RunWith(BladeSpringRunner.class)
@BladeBootTest(appName = "blade-runner", profile = "dev")
public class BladeTest {
	@Resource
	private IRedAccelerateRecordService redAccelerateRecordService;

	@Autowired
	private UserAppService userAppService;
	@Test
	public void contextLoads() {

		UpdateWrapper wrapper1 = new UpdateWrapper();
		wrapper1.eq("user_id",1513290920782090241L);
		wrapper1.setSql(" red_money = ( CASE WHEN IFNULL( red_money, '' ) = '' THEN '' ELSE red_money END) + "+new BigDecimal("0.68"));
		userAppService.update(wrapper1);
	}

}
